version: '3'

services:
  java:
    # Use a non-root user. On Linux, this will prevent
    # new files getting created as root, but you may need to update the USER_UID
    # and USER_GID in .devcontainer/Dockerfile to match your user if not 1000.
    #user: vscode

    build: 
      context: .
      dockerfile: Dockerfile

    volumes:
      # Update this to wherever you want VS Code to mount the folder of your project
      - ..:/workspace

      # Forwards the local Docker socket to the container.
      # See https://aka.ms/vscode-remote/samples/docker-in-docker-compose for details.
      - /var/run/docker.sock:/var/run/docker.sock 

    # use a ptrace-based debugger like C++, Go, and Rust.
    cap_add:
      - SYS_PTRACE
    security_opt:
      - seccomp:unconfined

    # Overrides default command so things don't shut down after the process ends.
    command: sleep infinity
    ports:
      - 8080:8080

  db:
    image: postgres:12-alpine
    environment:
      POSTGRES_PASSWORD: superSecret
      POSTGRES_USER: user
      POSTGRES_DB: db

  jaeger:
    image: jaegertracing/all-in-one:1.15
    ports:
      - 16686:16686
